package de.ozgcloud.eingang.enterprise.entry;

import com.fasterxml.jackson.annotation.JsonSubTypes;
import com.fasterxml.jackson.annotation.JsonSubTypes.Type;
import com.fasterxml.jackson.annotation.JsonTypeInfo;
import com.fasterxml.jackson.annotation.JsonTypeInfo.Id;

@JsonTypeInfo(use = Id.DEDUCTION)
@JsonSubTypes({ @Type(EntryFormDataField.class), @Type(EntryFormDataSubForm.class) })
public interface EntryFormDataItem {
	String getName();
	String getLabel();

	default boolean isSubForm() {
		return false;
	}

	default boolean isFormField() {
		return false;
	}
}
