package de.ozgcloud.eingang.router;

import io.grpc.stub.AbstractStub;
import lombok.Builder;

@Builder
class ConsistentStub<T extends AbstractStub<?>> implements ManagableStub<T> {

	private T stub;

	@Override
	public T get() {
		return stub;
	}

	@Override
	public boolean isShutdownable() {
		return false;
	}
}