package de.ozgcloud.eingang.common.zufi;

import java.util.UUID;

import com.thedeanda.lorem.LoremIpsum;

import de.ozgcloud.eingang.common.zufi.OrganisationsEinheit;

public class OrganisationsEinheitTestFactory {

	public final static String ID = UUID.randomUUID().toString();
	public final static String NAME = LoremIpsum.getInstance().getName();
	public final static String SYNONYME = LoremIpsum.getInstance().getName();
	public final static String VORGANG_MANAGER_ADDRESS = LoremIpsum.getInstance().getUrl();

	public static OrganisationsEinheit create() {
		return createBuilder().build();
	}

	public static OrganisationsEinheit.OrganisationsEinheitBuilder createBuilder() {
		return OrganisationsEinheit.builder()
				.id(ID)
				.name(NAME)
				.synonyme(SYNONYME)
				.vorgangManagerAddress(VORGANG_MANAGER_ADDRESS);
	}
}